import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object = {}): any => {
  return http.request("post", `${yewuApi}action_process_getlist`, { data });
};

export const httpAdd = (data: object = {}): any => {
  return http.request("post", `${yewuApi}action_process_add`, { data });
};

export const httpDetail = (data: object = {}): any => {
  return http.request("post", `${yewuApi}action_process_read`, { data });
};

export const httpUpdate = (data: object = {}): any => {
  return http.request("post", `${yewuApi}action_process_update`, { data });
};


export const httpStatus = (data: object = {}): any => {
  return http.request("post", `${yewuApi}action_process_update`, { data });
};


export const httpDelete = (data: Record<string, any>): any => {
  return http.request("post", `${yewuApi}action_process_update`, {
    data: {
      ...data,
      is_del: '1'
    }
  });
};
